%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}
%define underscore_version %(echo %{version} | sed 's/\\./_/g')

Name:           mingw-icu
Version:        4.8.1.1
Release:        2%{?dist}
Summary:        MinGW compilation of International Components for Unicode Tools

License:        MIT and UCD and Public Domain
Group:          Development/Libraries
URL:            http://icu-project.org
Source0:        http://download.icu-project.org/files/icu4c/%{version}/icu4c-%{underscore_version}-src.tgz

BuildArch:      noarch

Patch0:         icu4c-4_6_1-crossbuild.patch
Patch1:         icu4c-4_6_1-win32.patch
#Patch2:        icu4c-4_6_1-mingw-w64.patch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
#BuildRequires:  mingw32-pkg-config


%description
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode and locale support. The library provides calendar
support, conversions for many character sets, language sensitive
collation, date and time formatting, support for many locales, message
catalogs and resources, message formatting, normalization, number and
currency formatting, time zone support, transliteration, and word,
line, and sentence breaking, etc.



%package -n mingw32-icu
Summary:        MinGW compilation of International Components for Unicode Tools
Group:          Development/Libraries


%description -n mingw32-icu
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode and locale support. The library provides calendar
support, conversions for many character sets, language sensitive
collation, date and time formatting, support for many locales, message
catalogs and resources, message formatting, normalization, number and
currency formatting, time zone support, transliteration, and word,
line, and sentence breaking, etc.



%{_mingw32_debug_package}

%prep
%setup -q -n icu

%patch0 -p1 -b .crossbuild
%patch1 -p1 -b .win32

%build
pushd source

mkdir -p nativebuild

pushd nativebuild

../configure --enable-static --disable-shared

make %{?_smp_mflags} || make

popd

%{_mingw32_configure} \
        --enable-shared --disable-static \
        --with-cross-build=$(pwd)/nativebuild \
        --with-data-packaging=library

make %{?_smp_mflags}

popd

%install
pushd source

make DESTDIR=$RPM_BUILD_ROOT install

popd

# UGLY HACKS RESTARTING

find $RPM_BUILD_ROOT%{_mingw32_libdir} -name "*.dll" -type l -delete

rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/icudata48.dll

mv $RPM_BUILD_ROOT%{_mingw32_libdir}/libicudata48.1.1.dll \
        $RPM_BUILD_ROOT%{_mingw32_libdir}/icudata48.dll

for i in $RPM_BUILD_ROOT%{_mingw32_libdir}/*.dll; \
        do mv $i $RPM_BUILD_ROOT%{_mingw32_bindir}/; done

sed -i -e 's,default_ENABLE_RPATH=.*,default_ENABLE_RPATH="N",' -e 's,^SO=.*$,SO="dll",' $RPM_BUILD_ROOT%{_mingw32_bindir}/icu-config

# UGLY HACKS ENDING AGAIN

rm -fr $RPM_BUILD_ROOT%{_mingw32_mandir}
# remove dangling pointers
rm -fr $RPM_BUILD_ROOT%{_mingw32_libdir}/icu/Makefile.inc
rm -fr $RPM_BUILD_ROOT%{_mingw32_libdir}/icu/pkgdata.inc

%files -n mingw32-icu
%doc license.html unicode-license.txt

%{_mingw32_bindir}/genrb.exe
%{_mingw32_bindir}/gencnval.exe
%{_mingw32_bindir}/uconv.exe
%{_mingw32_bindir}/gencmn.exe
%{_mingw32_bindir}/makeconv.exe
%{_mingw32_bindir}/genbrk.exe
%{_mingw32_bindir}/gensprep.exe
%{_mingw32_bindir}/pkgdata.exe
%{_mingw32_bindir}/icupkg.exe
%{_mingw32_bindir}/derb.exe
%{_mingw32_bindir}/genccode.exe
%{_mingw32_bindir}/genctd.exe
%{_mingw32_bindir}/gencfu.exe
%{_mingw32_bindir}/gennorm2.exe
%{_mingw32_bindir}/icuinfo.exe

%{_mingw32_bindir}/icuio48.dll
%{_mingw32_bindir}/icuuc48.dll
%{_mingw32_bindir}/icule48.dll
%{_mingw32_bindir}/icui18n48.dll
%{_mingw32_bindir}/icutu48.dll
%{_mingw32_bindir}/icudata48.dll
%{_mingw32_bindir}/iculx48.dll
%{_mingw32_bindir}/icutest48.dll

%{_mingw32_bindir}/icu-config
%{_mingw32_libdir}/libicule.dll.a
%{_mingw32_libdir}/libicudata.dll.a
%{_mingw32_libdir}/libicui18n.dll.a
%{_mingw32_libdir}/libicuuc.dll.a
%{_mingw32_libdir}/libiculx.dll.a
%{_mingw32_libdir}/libicuio.dll.a
%{_mingw32_libdir}/libicutest.dll.a
%{_mingw32_libdir}/libicutu.dll.a
%{_mingw32_libdir}/pkgconfig/icu-i18n.pc
%{_mingw32_libdir}/pkgconfig/icu-io.pc
%{_mingw32_libdir}/pkgconfig/icu-le.pc
%{_mingw32_libdir}/pkgconfig/icu-lx.pc
%{_mingw32_libdir}/pkgconfig/icu-uc.pc
%{_mingw32_includedir}/layout
%{_mingw32_includedir}/unicode
%{_mingw32_libdir}/icu
%{_mingw32_datadir}/icu


%changelog
* Tue Feb 07 2012 Forysiuk Paweł <tuxator@o2.pl> - 4.8.1.1-2
- Fix icu4c-4_6_1-crossbuild.patch to compile cleanly
- Minor packaging cleanup

* Tue Feb 07 2012 Forysiuk Paweł <tuxator@o2.pl> - 4.8.1.1-1
- Initial release based on openSUSE mingw32-icu package
